org.keycloak.models.cache.infinispan

## Class InfinispanCacheUserProviderFactory

- java.lang.Object
- - org.keycloak.models.cache.infinispan.InfinispanCacheUserProviderFactory

- All Implemented Interfaces:
    CacheUserProviderFactory, ProviderFactory<CacheUserProvider>

      public class InfinispanCacheUserProviderFactory
      extends Object
      implements CacheUserProviderFactory

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `InfinispanCacheUserProviderFactory.CacheListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.keycloak.models.cache.infinispan.InfinispanCacheUserProviderFactory.RealmLookup` | `emailLookup`
    `protected InfinispanUserCache` | `userCache`
    `protected org.keycloak.models.cache.infinispan.InfinispanCacheUserProviderFactory.RealmLookup` | `usernameLookup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanCacheUserProviderFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkIspnVersion()`
    `void` | `close()`
    `CacheUserProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userCache

          protected InfinispanUserCache userCache

    - #### usernameLookup

          protected final org.keycloak.models.cache.infinispan.InfinispanCacheUserProviderFactory.RealmLookup usernameLookup

    - #### emailLookup

          protected final org.keycloak.models.cache.infinispan.InfinispanCacheUserProviderFactory.RealmLookup emailLookup

  - ### Constructor Detail

    - #### InfinispanCacheUserProviderFactory

          public InfinispanCacheUserProviderFactory()

  - ### Method Detail

    - #### create

          public CacheUserProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<CacheUserProvider>`

    - #### checkIspnVersion

          protected void checkIspnVersion()

    - #### init

          public void init(Config.Scope config)

      Specified by:
        `init` in interface `ProviderFactory<CacheUserProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<CacheUserProvider>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ProviderFactory<CacheUserProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<CacheUserProvider>`

Copyright © 2015. All rights reserved.